LinuxQuestions.org
Support LQ: Use code LQ3 and save $3 on Domain Registration
Go Back   LinuxQuestions.org > Forums > Linux Forums > Linux - Newbie
User Name
Password
Linux - Newbie This Linux forum is for members that are new to Linux.
Just starting out and have a question? If it is not in the man pages or the how-to's this is the place!

Notices


Reply
  Search this Thread
Old 03-26-2007, 06:11 AM   #1
cjae
Member
 
Registered: Mar 2004
Distribution: bouncing
Posts: 277

Rep: Reputation: 30
ati slack 11 xorg 6.8 or 6.9 or higher ? and install failure


Hi,

I just did a noob install of Slackware 11 and all seemed to be going good until trying to install ati drivers.

I am using the absolute default install as I seemed to have problems when upgrading to the testing kernel 2.6 it did not copy the source code to the drive and there were no modules loaded.

Ok so the 2.4.33.3 kernel will probably be fine for me anyway as this is kind of an old box anyway Sony Vaio pcv rx450 that has a sis chipset that really sucks. It has only 192 mb of ram and 1.3 ghz proc. I know a 2.6 should fly on here too but I am going for default kernel as a upgrade failure turned me away from slack the first time. BTW if anyone knows how I could have fixed this let me know. I selected the source during the install and still nothing.

So, I am going off http://www.linuxquestions.org/questi...d.php?t=466621
as I have read about 5 different pages that all say a little different installation methods. I read also that you must not have agpgart loaded and running when doing the install. Nice that they say how you should turn it off.

Anyway, this page seemed to be more to the point so it the one I followed.

So I:
-created tmpfs /dev/shm defaults 0 0
-changed users::100: to users::100:cjae
-mount -a
-downloaded the ati rpm
-converted it to tgz
-used installpkg to install it gave a very small amount of verbose and then nothing
-cd /lib/modules/fglrx/build_mod
-sh ./make.sh it tells me to go the following dir
-cd /lib/modules/fglrx
-sh ./make_install.sh this says loaded modules but lsmod shows no fglrx module
-aticonfig --initial -f this command as root does nothing says it does not exist. So I try as user and it starts but fails due to permission issues

And now I should edit my xorg but I do not know what I need in it. Wish I could find one that was similar I have an old 15" crt capable of 1024x768 and @ 75 hz. It is a sync master550 samsung. And svideo out to crt tv capable of pretty much the same.

I know the obvious live changing mesa or vesa to fglrx and such but it the load dri and glx I am messed up with. Plus when I start the xserver, I listed my ms comfort optical mouse 3000 usb mouse as usb in the setup and now it only moves up and down in the middle of the screen and not side to side. So I need to reconfigure that as well.

Any help would be greatly appreciated.
 
Old 03-26-2007, 10:08 AM   #2
masonm
Senior Member
 
Registered: Mar 2003
Location: Following the white rabbit
Distribution: Solus
Posts: 2,254

Rep: Reputation: 47
There is a far easier and more effective way to do this. Go to the ATI website and download the Linux driver installer for your card. It will automatically do the install for you and contains the instructions for what you want to do.

Be sure to make a back-up copy of your etc/X11/xorg.conf file first.

As for the 2.6 kernel, exactly how did you try upgrading it? You can go to the Slackware site, packages, package browser, /extra and you'll find a directory for a 2.6 kernel that contains everything you need. Download those files to a directory on your drive where you can find them, and then use pkgtool to install them.

Make SURE to create an initrd for your file system (instructions are in your /boot directory), edit lilo accordingly, and make SURE to run the lilo command before booting.

Then you can run the ATI installer you downloaded from the ATI website, use fglrx as the video driver in xorg.conf, put in a DRI section in xorg.conf, and you should be good to go.

Last edited by masonm; 03-26-2007 at 10:09 AM.
 
Old 03-26-2007, 12:10 PM   #3
cjae
Member
 
Registered: Mar 2004
Distribution: bouncing
Posts: 277

Original Poster
Rep: Reputation: 30
mouse would not let me click on the next button or whatever for gui installer and keyboard navigation only works to highlight the button but not select it.

Used both enter and the space bar.
 
  


Reply


Thread Tools Search this Thread
Search this Thread:

Advanced Search

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is Off
HTML code is Off



Similar Threads
Thread Thread Starter Forum Replies Last Post
xorg upgrade/install failure on amd64 Azizcoos Debian 2 11-14-2006 08:33 PM
Getting higher resolutions with Xorg CCMCornell Linux From Scratch 3 10-03-2005 05:08 PM
New ATI Xorg Drivers On Slack 10.1 sepz Linux - Hardware 9 03-12-2005 05:33 PM
Xorg + Slack 9.1 + kernel 2.6.5 + ATI radeon 9600 thomeven Linux - Hardware 5 12-12-2004 02:58 PM
ATi driver install failure stabile007 Slackware 13 08-06-2004 11:50 AM


All times are GMT -5. The time now is 06:50 PM.

Main Menu
Advertisement
My LQ
Write for LQ
LinuxQuestions.org is looking for people interested in writing Editorials, Articles, Reviews, and more. If you'd like to contribute content, let us know.
Main Menu
Syndicate
RSS1  Latest Threads
RSS1  LQ News
Twitter: @linuxquestions
Facebook: linuxquestions Google+: linuxquestions
Open Source Consulting | Domain Registration